JDBC42PreparedStatement
Date: 2018-05-01

com.mysql.jdbc

## Class JDBC42PreparedStatement

- java.lang.Object
- - com.mysql.jdbc.StatementImpl
  - - com.mysql.jdbc.PreparedStatement
    - - com.mysql.jdbc.JDBC4PreparedStatement
      - - com.mysql.jdbc.JDBC42PreparedStatement

- All Implemented Interfaces:
    Wrapper, java.lang.AutoCloseable, java.sql.PreparedStatement, java.sql.Statement

      public class JDBC42PreparedStatement
      extends JDBC4PreparedStatement

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.mysql.jdbc.PreparedStatement

      `PreparedStatement.AppendingBatchVisitor, PreparedStatement.BatchParams, PreparedStatement.BatchVisitor, PreparedStatement.EmulatedPreparedStatementBindings, PreparedStatement.EndPoint, PreparedStatement.ParseInfo`

    - ### Nested classes/interfaces inherited from class com.mysql.jdbc.StatementImpl

      `StatementImpl.CancelTask`

  - ### Field Summary

    - ### Fields inherited from class com.mysql.jdbc.PreparedStatement

      `batchCommandIndex, batchedValuesClause, batchHasPlainStatements, firstCharOfStmt, isLoadDataQuery, isNull, numberOfExecutions, originalSql, parameterCount, parameterMetaData, parameterTypes, parseInfo, rewrittenBatchSize, serverSupportsFracSecs, useTrueBoolean, usingAnsiMode`

    - ### Fields inherited from class com.mysql.jdbc.StatementImpl

      `batchedArgs, batchedGeneratedKeys, cancelTimeoutMutex, charConverter, charEncoding, clearWarningsCalled, connection, connectionId, continueBatchOnError, currentCatalog, doEscapeProcessing, eventSink, generatedKeysResults, holdResultsOpenOverClose, isClosed, lastInsertId, lastQueryIsOnDupKeyUpdate, maxFieldSize, maxRows, ON_DUPLICATE_KEY_UPDATE_CLAUSE, openResults, pedantic, PING_MARKER, pingTarget, pointOfOrigin, profileSQL, results, resultSetConcurrency, resultSetType, retrieveGeneratedKeys, sendFractionalSeconds, statementCounter, statementExecuting, statementId, timeoutInMillis, updateCount, useLegacyDatetimeCode, USES_VARIABLES_FALSE, USES_VARIABLES_TRUE, USES_VARIABLES_UNKNOWN, useUsageAdvisor, version5013OrNewer, warningChain, wasCancelled, wasCancelledByTimeout`

    - ### Fields inherited from interface java.sql.Statement

      `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBC42PreparedStatement(MySQLConnection conn, java.lang.String catalog)`
    `JDBC42PreparedStatement(MySQLConnection conn, java.lang.String sql, java.lang.String catalog)`
    `JDBC42PreparedStatement(MySQLConnection conn, java.lang.String sql, java.lang.String catalog, PreparedStatement.ParseInfo cachedParseInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setObject(int parameterIndex, java.lang.Object x)` Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
    `void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType)` Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
    `void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType, int scaleOrLength)` Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
    `void` | `setObject(int parameterIndex, java.lang.Object x, SQLType targetSqlType)` Support for java.sql.JDBCType/java.sql.SQLType.
    `void` | `setObject(int parameterIndex, java.lang.Object x, SQLType targetSqlType, int scaleOrLength)` Support for java.sql.JDBCType/java.sql.SQLType.

    - ### Methods inherited from class com.mysql.jdbc.JDBC4PreparedStatement

      `setNClob, setRowId, setSQLXML`

    - ### Methods inherited from class com.mysql.jdbc.PreparedStatement

      `addBatch, addBatch, asSql, asSql, canRewrite, canRewriteAsMultiValueInsertAtSqlLevel, checkBounds, checkReadOnlySafeStatement, clearBatch, clearParameters, computeBatchSize, computeMaxParameterSetSizeAndBatchSize, containsOnDuplicateKeyUpdateInSQL, detectFractionalSecondsSupport, execute, executeBatchedInserts, executeBatchInternal, executeBatchSerially, executeInternal, executeLargeUpdate, executePreparedBatchAsMultiStatement, executeQuery, executeUpdate, executeUpdateInternal, executeUpdateInternal, fillSendPacket, fillSendPacket, getBytesRepresentation, getBytesRepresentationForBatch, getDateTime, getInstance, getInstance, getInstance, getLocationOfOnDuplicateKeyUpdate, getMetaData, getNonRewrittenSql, getParameterBindings, getParameterIndexOffset, getParameterMetaData, getParseInfo, getPreparedSql, getRewrittenBatchSize, getUpdateCount, getValuesClause, isNull, isSelectQuery, prepareBatchedInsertSQL, readFully, realClose, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setBytes, setBytesNoEscape, setBytesNoEscapeNoQuotes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setInternal, setInternal, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNString, setNull, setNull, setOneBatchedParameterSet, setRef, setRetrieveGeneratedKeys, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL, toString`

    - ### Methods inherited from class com.mysql.jdbc.StatementImpl

      `cancel, checkClosed, checkForDml, checkNullOrEmptyQuery, clearWarnings, close, closeAllOpenResults, closeOnCompletion, containsOnDuplicateKeyInString, createStreamingResultSet, disableStreamingResults, doPingInstead, enableStreamingResults, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeSimpleNonQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdateInternal, findStartOfStatement, generatePingResultSet, getBatchedArgs, getBatchedGeneratedKeys, getBatchedGeneratedKeys, getCalendarInstanceForSessionOrNew, getConnection, getExceptionInterceptor, getFetchDirection, getFetchSize, getGeneratedKeys, getGeneratedKeysInternal, getGeneratedKeysInternal, getId, getLargeMaxRows, getLargeUpdateCount, getLastInsertID, getLocalInfileInputStream, getLongUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getOnDuplicateKeyLocation, getOpenResultSetCount, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetInternal, getResultSetType, getWarnings, handleExceptionForBatch, hasDeadlockOrTimeoutRolledBackTx, implicitlyCloseAllOpenResults, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, processMultiCountsAndKeys, removeOpenResultSet, resetCancelledState, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setHoldResultsOpenOverClose, setLargeMaxRows, setLocalInfileInputStream, setMaxFieldSize, setMaxRows, setPingTarget, setPoolable, setQueryTimeout, setResultSetConcurrency, setResultSetType, setupStreamingTimeout, statementBegins, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.sql.Statement

      `cancel, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Constructor Detail

    - #### JDBC42PreparedStatement

          public JDBC42PreparedStatement(MySQLConnection conn,
                                 java.lang.String catalog)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### JDBC42PreparedStatement

          public JDBC42PreparedStatement(MySQLConnection conn,
                                 java.lang.String sql,
                                 java.lang.String catalog)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### JDBC42PreparedStatement

          public JDBC42PreparedStatement(MySQLConnection conn,
                                 java.lang.String sql,
                                 java.lang.String catalog,
                                 PreparedStatement.ParseInfo cachedParseInfo)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

  - ### Method Detail

    - #### setObject

          public void setObject(int parameterIndex,
                       java.lang.Object x)
                         throws java.sql.SQLException

      Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Overrides:
        `setObject` in class `PreparedStatement`
      Parameters:
        `parameterIndex` -
        `x` -
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                       java.lang.Object x,
                       int targetSqlType)
                         throws java.sql.SQLException

      Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Overrides:
        `setObject` in class `PreparedStatement`
      Parameters:
        `parameterIndex` -
        `x` -
        `targetSqlType` -
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                       java.lang.Object x,
                       int targetSqlType,
                       int scaleOrLength)
                         throws java.sql.SQLException

      Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Overrides:
        `setObject` in class `PreparedStatement`
      Parameters:
        `parameterIndex` -
        `x` -
        `targetSqlType` -
        `scaleOrLength` -
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                       java.lang.Object x,
                       SQLType targetSqlType)
                         throws java.sql.SQLException

      Support for java.sql.JDBCType/java.sql.SQLType. Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Overrides:
        `setObject` in class `PreparedStatement`
      Parameters:
        `parameterIndex` -
        `x` -
        `targetSqlType` -
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                       java.lang.Object x,
                       SQLType targetSqlType,
                       int scaleOrLength)
                         throws java.sql.SQLException

      Support for java.sql.JDBCType/java.sql.SQLType. Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Overrides:
        `setObject` in class `PreparedStatement`
      Parameters:
        `parameterIndex` -
        `x` -
        `targetSqlType` -
        `scaleOrLength` -
      Throws:
        `java.sql.SQLException`